services:
  telnowedge_phone_provision_logger:
    class: Symfony\Bridge\Monolog\Logger
    factory: 'Telnowedge\BaseBundle\Logger\Logger::getLoggerFactory'
    arguments:
      $logger: '@logger'
    tags:
      - {name: monolog.logger, channel: telnowedge_phone_provision}

  Telnowedge\PhoneProvisionBundle\Provider\PhoneProvisionProvider:
    arguments:
      $kernelRootDir: %kernel.root_dir%

  Telnowedge\PhoneProvisionBundle\EventSubscriber\SetIpVsMacSubscriber:
    arguments:
      $phoneProvisionProvider: '@Telnowedge\PhoneProvisionBundle\Provider\PhoneProvisionProvider'
    calls:
      - method: setFreePbxContainer
        arguments:
          - '@freepbx_container'

    tags:
      - { name: kernel.event_subscriber }

  Telnowedge\PhoneProvisionBundle\Manager\SetIpVsMacManager:
    calls:
    - method: setContainer
      arguments:
        - '@service_container'

  Telnowedge\PhoneProvisionBundle\Manager\RequestManager:
    calls:
    - method: setContainer
      arguments:
        - '@service_container'

  Telnowedge\PhoneProvisionBundle\Manager\PhonebookManager:
    arguments:
      $logger: '@telnowedge_phone_provision_logger'
    calls:
    - method: setContainer
      arguments:
        - '@service_container'
